libzypp 17.37.10

colors.cc File Reference
`#include <iostream>`
`#include <zypp/base/Logger.h>`
`#include <zypp-tui/Application>`
`#include "colors.h"`

Go to the source code of this file.

## Namespaces
namespace | ztui
namespace | ztui::env
namespace | ztui::ansi
namespace | ztui::ansi::tty

## Functions
bool | ztui::env::NO_COLOR ()
bool | ztui::do_ttyout ()
| True unless output is a dumb tty or file.
bool | ztui::do_colors ()
| If output is done in colors (depends on config)
bool | ztui::mayUseANSIEscapes ()
| Simple check whether stdout is a (not dumb) tty.
bool | ztui::hasANSIColor ()
| Simple check whether stdout can handle colors.
ansi::Color | ztui::customColorCtor (ColorContext ctxt_r)

## Variables
const EscapeSequence | ztui::ansi::tty::clearLN
| Clear entire line.
const EscapeSequence | ztui::ansi::tty::cursorUP
| Cursor up 1 line.
const EscapeSequence | ztui::ansi::tty::cursorDOWN
| Cursor down 1 line.
const EscapeSequence | ztui::ansi::tty::cursorRIGHT
| Cursor right 1 char.
const EscapeSequence | ztui::ansi::tty::cursorLEFT
| Cursor left 1 char.